//CUITileButtonExpander - [2020-04-13 11:57:47]
#ifndef _CUITILEBUTTONEXPANDER_H_
#define _CUITILEBUTTONEXPANDER_H_

#include "CUITile.h"

/*
0013A810 CUITileButtonExpander::CUITileButtonExpander(int,int,EDirection,uint64_t)
0013AE18 CUITileButtonExpander::~CUITileButtonExpander()
0013A894 CUITileButtonExpander::RenderBase()
0013A98C CUITileButtonExpander::Render()
0013A990 CUITileButtonExpander::RenderPost()
0013A9E0 CUITileButtonExpander::Process()
0013ADB6 CUITileButtonExpander::CompactButtons()

*/

enum EDirection {
  EDirection_0,
  EDirection_1,
  EDirection_2,
  EDirection_3,
  EDirection_4,
  EDirection_5,
};

class CUITileButtonExpander : public CUITile {
public:
  CUITileButtonExpander(int, int, EDirection, uint64_t);  //0013A810
  virtual ~CUITileButtonExpander();                       //0013AE18
  virtual void Render();                                  //0013A98C
  virtual EUITileAction Process();                        //0013A9E0
  virtual void RenderBase();                              //0013A894
  virtual void RenderPost();                              //0013A990
  void CompactButtons();                                  //0013ADB6

  uchar   unknown_1AA[0x6];
  int     i_1B0;
  uchar   unknown_1B4[0xC];
};

#endif  //_CUITILEBUTTONEXPANDER_H_